<?php

namespace App\Http\Controllers;

use App\Category;
use App\ParentCategory;
use App\Produit;
use Illuminate\Http\Request;
use Illuminate\Support\Str;

class CartController extends Controller
{
    public function index() {
        
      
        $menus = ParentCategory::with('categories')->get();
       

        // get all products
        $produits = Produit::where('category_id', 1)->get();
        
        // dd($produits);
        // return view('frontend.cart.index',['menus' => $menus,'produits' => $produits ,'selected' => 1 ]);
    }

    public function category($p_category ,$category) {
   
        // get parentcategory et category
         $menus = ParentCategory::with(['categories'=> function($q){
            $q->orderBy('order', 'asc')->get();
        }])->get();
        // $produits = Produit::where('category_id', $category)->get();
        $id_catgory = Category::where('slug',$category)->first();
        $produits = Produit::where('category_id',$id_catgory->id)->orderBy('order')->get();
        // dd($produits);
        return view('frontend.cart.index',['menus' => $menus,'produits' => $produits,'Pcategory_selected'=> $p_category, 'category_selected' =>$id_catgory->titre ]);

        
    }
}
